org.aspectj.lang.reflect

## Interface InterTypeFieldDeclaration

All Superinterfaces:
  InterTypeDeclaration

    public interface InterTypeFieldDeclaration
    extends InterTypeDeclaration

Represents an inter-type field declaration declared in an aspect.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.reflect.Type` `getGenericType()` The generic field type
`java.lang.String` `getName()` The field name
`AjType<?>` `getType()` The field type

### Methods inherited from interface org.aspectj.lang.reflect.InterTypeDeclaration

`getDeclaringType, getModifiers, getTargetType`

### Method Detail

#### getName

    java.lang.String getName()

The field name

#### getType

    AjType<?> getType()

The field type

#### getGenericType

    java.lang.reflect.Type getGenericType()

The generic field type